Package org.apache.datasketches.theta

# Enum Class UpdateReturnState

java.lang.Object
java.lang.Enum<UpdateReturnState>
org.apache.datasketches.theta.UpdateReturnState

All Implemented Interfaces:
  `Serializable`, `Comparable<UpdateReturnState>`, `Constable`

public enum UpdateReturnState extends Enum<UpdateReturnState>
See Update Return State

Author:
  Lee Rhodes

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ConcurrentBufferInserted`
The hash was inserted into the local concurrent buffer, but has not yet been propagated to the concurrent shared sketch.
`ConcurrentPropagated`
The hash has been propagated to the concurrent shared sketch.
`InsertedCountIncremented`
The hash was accepted into the sketch and the retained count was incremented.
`InsertedCountIncrementedRebuilt`
The hash was accepted into the sketch, the retained count was incremented.
`InsertedCountIncrementedResized`
The hash was accepted into the sketch, the retained count was incremented.
`InsertedCountNotIncremented`
The hash was accepted into the sketch and the retained count was not incremented.
`RejectedDuplicate`
The hash was rejected as a duplicate.
`RejectedNullOrEmpty`
The hash was rejected because it was null or empty.
`RejectedOverTheta`
The hash was rejected because the value was negative, zero or greater than theta.

## Method Summary

Modifier and Type
Method
Description
`static UpdateReturnState`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static UpdateReturnState[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### InsertedCountIncremented

public static final UpdateReturnState InsertedCountIncremented
The hash was accepted into the sketch and the retained count was incremented.

### InsertedCountIncrementedResized

public static final UpdateReturnState InsertedCountIncrementedResized
The hash was accepted into the sketch, the retained count was incremented. The current cache was out of room and resized larger based on the Resize Factor.

### InsertedCountIncrementedRebuilt

public static final UpdateReturnState InsertedCountIncrementedRebuilt
The hash was accepted into the sketch, the retained count was incremented. The current cache was out of room and at maximum size, so the cache was rebuilt.

### InsertedCountNotIncremented

public static final UpdateReturnState InsertedCountNotIncremented
The hash was accepted into the sketch and the retained count was not incremented.

### ConcurrentBufferInserted

public static final UpdateReturnState ConcurrentBufferInserted
The hash was inserted into the local concurrent buffer, but has not yet been propagated to the concurrent shared sketch.

### ConcurrentPropagated

public static final UpdateReturnState ConcurrentPropagated
The hash has been propagated to the concurrent shared sketch. This does not reflect the action taken by the shared sketch.

### RejectedDuplicate

public static final UpdateReturnState RejectedDuplicate
The hash was rejected as a duplicate.

### RejectedNullOrEmpty

public static final UpdateReturnState RejectedNullOrEmpty
The hash was rejected because it was null or empty.

### RejectedOverTheta

public static final UpdateReturnState RejectedOverTheta
The hash was rejected because the value was negative, zero or greater than theta.

## Method Details

### values

public static UpdateReturnState[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static UpdateReturnState valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null